apiVersion: v1
items:
- apiVersion: jaegertracing.io/v1
  kind: Jaeger
  metadata:
    annotations:
      kubectl.kubernetes.io/last-applied-configuration: |
        {"apiVersion":"jaegertracing.io/v1","kind":"Jaeger","metadata":{"annotations":{},"creationTimestamp":"2024-01-24T17:39:49Z","generation":17,"labels":{"jaegertracing.io/operated-by":"openshift-distributed-tracing.jaeger-operator"},"name":"jaeger-streaming","namespace":"tracing-system","resourceVersion":"1599719045","uid":"90e0e421-3570-4754-9b26-fbf85d2d6103"},"spec":{"agent":{"config":{},"options":{},"resources":{}},"allInOne":{"config":{},"metricsStorage":{},"options":{},"resources":{}},"collector":{"config":{},"kafkaSecretName":"","nodeSelector":{"node-role.kubernetes.io/infra":""},"options":{"kafka":{"producer":{"brokers":"amqkafka-kafka-bootstrap.amq-kafka.svc:9092","topic":"jaegerspans"}}},"replicas":3,"resources":{},"tolerations":[{"effect":"NoSchedule","key":"node-role.kubernetes.io/infra","operator":"Exists"},{"effect":"NoSchedule","key":"infra","operator":"Equal","value":"reserved"},{"effect":"NoExecute","key":"infra","operator":"Equal","value":"reserved"}]},"ingester":{"config":{},"kafkaSecretName":"","nodeSelector":{"node-role.kubernetes.io/infra":""},"options":{"kafka":{"consumer":{"brokers":"amqkafka-kafka-bootstrap.amq-kafka.svc:9092","topic":"jaegerspans"}}},"replicas":3,"resources":{},"tolerations":[{"effect":"NoSchedule","key":"node-role.kubernetes.io/infra","operator":"Exists"},{"effect":"NoSchedule","key":"infra","operator":"Equal","value":"reserved"},{"effect":"NoExecute","key":"infra","operator":"Equal","value":"reserved"}]},"ingress":{"openshift":{"htpasswdFile":"/usr/local/data/htpasswd","sar":"{\"namespace\": \"tracing-system\", \"resource\": \"pods\", \"verb\": \"get\"}"},"options":{},"resources":{},"security":"oauth-proxy"},"query":{"metricsStorage":{},"nodeSelector":{"node-role.kubernetes.io/infra":""},"options":{},"replicas":3,"resources":{},"tolerations":[{"effect":"NoSchedule","key":"node-role.kubernetes.io/infra","operator":"Exists"},{"effect":"NoSchedule","key":"infra","operator":"Equal","value":"reserved"},{"effect":"NoExecute","key":"infra","operator":"Equal","value":"reserved"}]},"resources":{},"sampling":{"options":{"default_strategy":{"param":1,"type":"ratelimiting"}}},"storage":{"cassandraCreateSchema":{},"dependencies":{"resources":{},"schedule":"55 23 * * *"},"elasticsearch":{"name":"elasticsearch","nodeCount":3,"nodeSelector":{"node-role.kubernetes.io/infra":""},"redundancyPolicy":"ZeroRedundancy","resources":{"limits":{"memory":"32Gi"},"requests":{"cpu":"350m","memory":"16Gi"}},"storage":{"size":"50Gi","storageClassName":"ibm-ess-csi-lt"},"tolerations":[{"effect":"NoSchedule","key":"node-role.kubernetes.io/infra","operator":"Exists"},{"effect":"NoSchedule","key":"infra","operator":"Equal","value":"reserved"},{"effect":"NoExecute","key":"infra","operator":"Equal","value":"reserved"}]},"esIndexCleaner":{"enabled":true,"numberOfDays":7,"resources":{},"schedule":"55 23 * * *","tolerations":[{"effect":"NoSchedule","key":"node-role.kubernetes.io/infra","operator":"Exists"},{"effect":"NoSchedule","key":"infra","operator":"Equal","value":"reserved"},{"effect":"NoExecute","key":"infra","operator":"Equal","value":"reserved"}]},"esRollover":{"resources":{},"schedule":"0 0 * * *"},"grpcPlugin":{},"options":{"es":{"timeout":"0s"}},"type":"elasticsearch"},"strategy":"streaming","ui":{"options":{"dependencies":{"menuEnabled":false},"menu":[{"items":[{"label":"Documentation","url":"https://access.redhat.com/documentation/en-us/openshift_container_platform/4.14/html/distributed_tracing/index"}],"label":"About"},{"anchorTarget":"_self","label":"Log Out","url":"/oauth/sign_in"}]}},"volumeMounts":[{"mountPath":"/usr/local/data","name":"jaeger-htpasswd-volume"}],"volumes":[{"name":"jaeger-htpasswd-volume","secret":{"secretName":"jaeger-htpasswd-secret"}}]},"status":{"phase":"Running","version":"1.53.0"}}
    creationTimestamp: "2024-01-24T17:39:49Z"
    generation: 18
    labels:
      jaegertracing.io/operated-by: openshift-distributed-tracing.jaeger-operator
    name: jaeger-streaming
    namespace: tracing-system
    resourceVersion: "1603855924"
    uid: 90e0e421-3570-4754-9b26-fbf85d2d6103
  spec:
    agent:
      config: {}
      options: {}
      resources: {}
    allInOne:
      config: {}
      metricsStorage: {}
      options: {}
      resources: {}
    collector:
      config: {}
      kafkaSecretName: ""
      nodeSelector:
        node-role.kubernetes.io/infra: ""
      options:
        kafka:
          producer:
            brokers: amqkafka-kafka-bootstrap.amq-kafka.svc:9092
            topic: jaegerspans
      replicas: 3
      resources: {}
      tolerations:
      - effect: NoSchedule
        key: node-role.kubernetes.io/infra
        operator: Exists
      - effect: NoSchedule
        key: infra
        operator: Equal
        value: reserved
      - effect: NoExecute
        key: infra
        operator: Equal
        value: reserved
    ingester:
      config: {}
      kafkaSecretName: ""
      nodeSelector:
        node-role.kubernetes.io/infra: ""
      options:
        kafka:
          consumer:
            brokers: amqkafka-kafka-bootstrap.amq-kafka.svc:9092
            topic: jaegerspans
      replicas: 3
      resources: {}
      tolerations:
      - effect: NoSchedule
        key: node-role.kubernetes.io/infra
        operator: Exists
      - effect: NoSchedule
        key: infra
        operator: Equal
        value: reserved
      - effect: NoExecute
        key: infra
        operator: Equal
        value: reserved
    ingress:
      openshift:
        htpasswdFile: /usr/local/data/htpasswd
        sar: '{"namespace": "tracing-system", "resource": "pods", "verb": "get"}'
      options: {}
      resources: {}
      security: oauth-proxy
    query:
      metricsStorage: {}
      nodeSelector:
        node-role.kubernetes.io/infra: ""
      options: {}
      replicas: 3
      resources: {}
      tolerations:
      - effect: NoSchedule
        key: node-role.kubernetes.io/infra
        operator: Exists
      - effect: NoSchedule
        key: infra
        operator: Equal
        value: reserved
      - effect: NoExecute
        key: infra
        operator: Equal
        value: reserved
    resources: {}
    sampling:
      options:
        default_strategy:
          param: 1
          type: ratelimiting
    storage:
      cassandraCreateSchema: {}
      dependencies:
        resources: {}
        schedule: 55 23 * * *
      elasticsearch:
        name: elasticsearch
        nodeCount: 3
        nodeSelector:
          node-role.kubernetes.io/infra: ""
        redundancyPolicy: ZeroRedundancy
        resources:
          limits:
            memory: 32Gi
          requests:
            cpu: 350m
            memory: 16Gi
        storage:
          size: 50Gi
          storageClassName: ibm-ess-csi-lt
        tolerations:
        - effect: NoSchedule
          key: node-role.kubernetes.io/infra
          operator: Exists
        - effect: NoSchedule
          key: infra
          operator: Equal
          value: reserved
        - effect: NoExecute
          key: infra
          operator: Equal
          value: reserved
      esIndexCleaner:
        enabled: true
        numberOfDays: 7
        resources: {}
        schedule: 55 23 * * *
        tolerations:
        - effect: NoSchedule
          key: node-role.kubernetes.io/infra
          operator: Exists
        - effect: NoSchedule
          key: infra
          operator: Equal
          value: reserved
        - effect: NoExecute
          key: infra
          operator: Equal
          value: reserved
      esRollover:
        resources: {}
        schedule: 0 0 * * *
      grpcPlugin: {}
      options:
        es:
          timeout: 0s
      type: elasticsearch
    strategy: streaming
    ui:
      options:
        dependencies:
          menuEnabled: false
        menu:
        - items:
          - label: Documentation
            url: https://access.redhat.com/documentation/en-us/openshift_container_platform/4.14/html/distributed_tracing/index
          label: About
        - anchorTarget: _self
          label: Log Out
          url: /oauth/sign_in
    volumeMounts:
    - mountPath: /usr/local/data
      name: jaeger-htpasswd-volume
    volumes:
    - name: jaeger-htpasswd-volume
      secret:
        secretName: jaeger-htpasswd-secret
  status:
    phase: Running
    version: 1.53.0
kind: List
metadata:
  resourceVersion: ""
  selfLink: ""
